package cn.axzo.msg.center.api.fallback;

import cn.axzo.msg.center.api.InsideMessageTemplateApi;
import cn.axzo.msg.center.api.request.CreateTemplateReq;
import cn.axzo.msg.center.api.request.SearchTemplateReq;
import cn.axzo.msg.center.api.request.SyncRelationDataReq;
import cn.axzo.msg.center.api.request.UpdateTemplateAudioFileReq;
import cn.axzo.msg.center.api.response.SyncRelationDataRes;
import cn.axzo.msg.center.api.request.UpdateTemplateReq;
import cn.axzo.msg.center.api.response.CommonPlatManagerRes;
import cn.axzo.msg.center.api.response.SearchTemplateRes;
import cn.azxo.framework.common.model.CommonResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
@Slf4j
public class InsideMessageTemplateApiFallBack implements InsideMessageTemplateApi {
    @Override
    public CommonResponse<String> addTemplate(CreateTemplateReq req) {
        return null;
    }

    @Override
    public CommonResponse<String> updateTemplate(UpdateTemplateReq req) {
        return null;
    }

    @Override
    public CommonResponse<String> updateTemplateAudioFile(UpdateTemplateAudioFileReq req) {
        return null;
    }

    @Override
    public CommonResponse<CommonPlatManagerRes> pageTemplates(SearchTemplateReq req) {
        return null;
    }

    @Override
    public CommonResponse<SearchTemplateRes> get(Long id) {
        return null;
    }

    @Override
    public CommonResponse<Void> delete(Long id) {
        return null;
    }

    @Override
    public CommonResponse<List<SyncRelationDataRes>> findTemplateByIds(@RequestParam("ids") List<Long> ids) {
        return null;
    }

    @Override
    public CommonResponse<String> syncTemplateData(List<SyncRelationDataReq> syncRelationDataReqList) {
        return null;
    }
}
